# $Revision: 1.43 $, $Date: 2009/11/16 11:40:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Games
%define		pnam	Chess-Referee
Summary:	Games::Chess::Referee - work with chess positions and games
Summary(pl.UTF-8):	Games::Chess::Referee - operacje na pozycjach i partiach szachowych
Name:		perl-Games-Chess-Referee
Version:	0.003
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d7d6d20e33c8ba4be51550a64d5ac6ae
BuildRequires:	perl-Games-Chess
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Games-Chess >= 0.002-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(Games::Chess::Piece)

%description
Games::Chess::Referee module provides a mechanism to interpret
(almost) standard algebraic chess notation and to print out the
resulting positions. It makes use of the Games::Chess::Position and
Games::Chess::Piece classes by Gareth Rees, adding the chess rules and
more application functionality.

%description -l pl.UTF-8
Moduł Games::Chess::Referee udostępnia mechanizm interpretacji
(prawie) standardowej algebraicznej notacji szachowej i wyświetlania
wyjściowych pozycji. Wykorzystuje klasy autorstwa Garetha Ressa
Games::Chess::Position i Games::Chess::Piece, dodając reguły szachowe
i zwiększając funkcjonalność aplikacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/mkbd
%attr(755,root,root) %{_bindir}/tryme
%dir %{perl_vendorlib}/Games/Chess
%{perl_vendorlib}/Games/Chess/Referee.pm
%{perl_vendorlib}/Games/Chess/Rules.pm
%dir %{perl_vendorlib}/Games/Chess/Piece
%{perl_vendorlib}/Games/Chess/Piece/General.pm
%{perl_vendorlib}/Games/Chess/Piece/Pawn.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Games-Chess-Referee.spec,v $
Revision 1.43  2009/11/16 11:40:10  amateja
- typo

Revision 1.42  2009/11/13 19:14:25  amateja
- do not require own modules
- release 3

Revision 1.41  2009/11/02 07:22:22  amateja
- added missing %dir in %files section
- release 2

Revision 1.40  2009/06/23 11:16:55  amateja
- updated to 0.003

Revision 1.39  2008/07/27 22:35:16  arekm
- release 13

Revision 1.38  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:23  paladine
- formatting

Revision 1.35  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.34  2004/05/07 01:04:48  ankry
- rel. 12

Revision 1.33  2004/05/06 18:09:38  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/24 23:09:07  ankry
- test added

Revision 1.31  2004/04/21 21:27:52  ankry
- summary

Revision 1.30  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.29  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.28  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:32:39  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/07/16 13:51:26  ankry
- added %%{perl_sitelib}/Games/Chess dir
- translations, cleaning
- release 10

Revision 1.19  2002/07/12 10:25:48  qboosh
- typo, new %%doc; release 9

Revision 1.18  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:14:43  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:27  depesz
adapterized

Revision 1.12  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:33  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 14:53:50  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
